sábado, 2 de septiembre de 2017

Compativilidad de UWP con NETStandard 2.0


En los últimos días ha salido una nueva versión de Visual Studio 2017 (la 15.3) en la que se ha mejorado considerablemente la compatibilidad con proyectos NETStandard y la aparición de la versión 2.0 de estos. También disponemos de la nueva versión de EntityFrameworkCore 2.0.

Ahora llegan los problemas. NETStandard 2.0 no es compatible con UWP Build 15063. Lo anecdótico de esto, es que con proyectos para iOS y Android funciona perfectamente.Ya se está hablando de una versión de Visual Studio 15.4, con soporte para UWP Build 16267, que posiblemente aparezca con Windows 10 Fall Creators Update. Ahora mi duda es, ¿Qué pasa con los móviles que hay circulando todavía con Windows 10, muchos de ellos que quedaron en Annirversary Update?

Por lo visto, todos estos cambios son debido a que NET Standard 2.0 se parece más a .NET Framework y quieren fomentar la migración de aplicaciones antiguas.

No hay comentarios: